Bug 223170 - [ml_IN] two combination are render improperly (pango)
[ml_IN] two combination are render improperly (pango)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pravin Satpute
: i18n
Depends On: 220866
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 23:52 EST by Yu Shao
Modified: 2009-06-30 01:52 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 01:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correct rendering of required comibnations. (251.10 KB, image/png)
2009-06-24 08:46 EDT, sandeep shedmake
no flags Details

  None (edit)
Description Liang Zhang 2007-01-17 23:52:23 EST
+++ This bug was initially created as a clone of Bug #220866 +++

Description of problem:
0D21 + 0D4D + 0D31 + 0D48 + 0D35 + 0D4D  (ഡ്റൈവ്)
0D05 + 0D2A + 0D4D + 0D21 + 0D47 + 0D31 + 0D4D + 0D31 + 0D4D (അപ്ഡേറ്റ്)

Version-Release number of selected component (if applicable):
pango-1.15.0

How reproducible:
Everytime

Steps to Reproduce:
1. open gedit, type combination
2.
0D21 + 0D4D + 0D31 + 0D48 + 0D35 + 0D4D
0D05 + 0D2A + 0D4D + 0D21 + 0D47 + 0D31 + 0D4D + 0D31 + 0D4D
3. copy and paste in kedit
  
Actual results:
as in gedit

Expected results:
as in kedit

Additional info:
1) Screenshot on RHEL5, where  gedit/openoffice is wrong, but kedit is correct
2) Test Case (text file)

-- Additional comment from aalam@redhat.com on 2006-12-28 00:16 EST --
Created an attachment (id=144441)
Test Case (text file)


-- Additional comment from aalam@redhat.com on 2006-12-28 00:18 EST --
Created an attachment (id=144442)
Image at RHEL5Client machine


-- Additional comment from aalam@redhat.com on 2006-12-28 00:22 EST --
*** Bug 220865 has been marked as a duplicate of this bug. ***

-- Additional comment from llim@redhat.com on 2006-12-28 00:27 EST --
Bug was found while reviewing the trans for pup application. New combinations
that are not used regularly and has been included into the Font TC. Therefore,
considered as lower priority which can wait till 5.1.0.

-- Additional comment from caolanm@redhat.com on 2007-01-04 03:39 EST --
Looking at the similar icu bug and then some comparison against kde which is
mentioned as being correct here I have the two short sample sequences of...

a) 0D31 + 0D4D + 0D35
b) 0D31 + 0D35 + 0D4D

a is rendered the same in gedit and kedit
b is rendered the same as a for gedit, but differently for kedit.

It looks to me that qt takes the sequence, breaks it into chunks of syllables,
then takes each chunk and reorders it and then applies the gsub to each chunk
and renders each chunk. 

While icu (and probably pango) takes the sequence, breaks in into chunks of
syllables, reorders the chunks. sticks the chunks back together into a sequence.
Applies the gsub to the new sequence and renders it. i.e.

for qt
1)   0D31 + 0D4D + 0D35 
1.1) chunk of "0D31 + 0D4D + 0D35"
1.2) reorder -> order unchanged
1.3) gsub and render

2)   0D31 + 0D35 + 0D4D
2.1) chunk of "0D31"
2.2) reorder -> order unchanged
2.3) gsub and render
2.4) chunk of "0D35 + 0D4D"
2.5) reorder -> "0D4D + 0D35"
2.6) gsub and render


for icu/(pango ?)
1)   0D31 + 0D4D + 0D35 
1.1) chunk of "0D31 + 0D4D + 0D35"
1.2) reorder -> order unchanged
1.3) gsub and render

2)   0D31 + 0D35 + 0D4D
2.1) chunk of "0D31"
2.4) chunk of "0D35 + 0D4D"
2.5) reorder -> "0D31 0D4D + 0D35"
2.6) gsub and render

so for icu/pango 1 & 2 are the same, and are the same as 1 for qt, which for 2
qt has a different result than pango.
Comment 1 Liang Zhang 2007-06-13 02:41:18 EDT
I wrote a patch for fixing bug238896, bug223169 and bug223170.
And I modified indic_shape_engine( ) in this patch, let it handle one by one
syllable, not handle all syllables together.
It can fix the three bugs only by this way.

The patch is below:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=156846

Comment 2 Ani Peter 2008-01-25 06:45:16 EST
Problem still exists with

0D21 + 0D4D + 0D31 + 0D48 + 0D35 + 0D4D  (ഡ്റൈവ്)

Pango version: pango-1.19.3-1.fc9

Thanks
Ani
Comment 3 Ani Peter 2008-02-04 01:21:35 EST
This is yet to be fixed. Appreciate quick response.

Thanks
Ani
Comment 4 Ani Peter 2008-02-04 01:27:38 EST
There is slight error in the combination mentioned in comment#2.
The correct combination is:

0D21 + 0D4D + 0D30 + 0D48 + 0D35 + 0D4D  (ഡ്രൈവ്)
Comment 5 Bug Zapper 2008-05-13 22:33:27 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tony Fu 2008-09-09 23:06:39 EDT
requested by Jens Petersen (#27995)
Comment 8 Arjuna Rao Chavala 2009-05-08 19:55:58 EDT
Problem for Telugu  as well as per 
http://bugzilla.gnome.org/show_bug.cgi?id=579398
Comment 9 Bug Zapper 2009-06-09 18:24:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jens Petersen 2009-06-23 02:18:56 EDT
Parag, Pravin: could you check status of this please.
Comment 11 sandeep shedmake 2009-06-24 08:46:45 EDT
Created attachment 349231 [details]
Correct rendering of required comibnations.

From Comment #4,

The required combinations are fixed in qt-4.5.0-14 and pango-1.24.1-1:

a) 0D21 + 0D4D + 0D30 + 0D48 + 0D35 + 0D4D  (ഡ്രൈവ്)
b) 0D05 + 0D2A + 0D4D + 0D21 + 0D47 + 0D31 + 0D4D + 0D31 + 0D4D (അപ്ഡേറ്റ്)

Note You need to log in before you can comment on or make changes to this bug.